# Aesthetic Color

A Node.js package that generates unique and aesthetically pleasing colors for use in web and app design.

## Installation

To install Aesthetic Color, run the following command:

```
npm install aesthetic-color
```

## Usage

To use aesthetic colors in your Node.js project, simply require the package and call its `generateColor` or `getAestheticColor` method:

```javascript
const aestheticColor = require("aesthetic-color");

const color1 = aestheticColor.generateColor();
console.log(color1); // outputs a string representing a unique aesthetic color value

const color2 = aestheticColor.getAestheticColor();
console.log(color2); // outputs a string representing a predefined aesthetic color value
```

## Contributing

We welcome contributions to this project! Here are some ways you can get involved:

- **Report bugs:** If you encounter any bugs or issues with this package, please let us know by opening a new issue on our [GitHub repository](https://github.com/akash-singh8/aesthetic-color/issues).

- **Suggest new features:** If you have an idea for a new feature or improvement, we'd love to hear it! You can suggest a new feature by opening a new issue on our [GitHub repository](https://github.com/akash-singh8/aesthetic-color/issues).

- **Submit pull requests:** If you'd like to contribute code to this project, you can submit a pull request with your changes.

To submit a pull request, fork this repository, make your changes, and submit a pull request against the `your-username-feature` branch.

## Badges

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/)
